# is-even

[![Backend CI](https://github.com/Skona27/is-even/actions/workflows/backend.yml/badge.svg)](https://github.com/Skona27/is-even/actions/workflows/backend.yml) [![Frontend CI](https://github.com/Skona27/is-even/actions/workflows/frontend.yml/badge.svg)](https://github.com/Skona27/is-even/actions/workflows/frontend.yml)

SaaS platform for checking if number is even.

Check out [Live](https://is-even.eu) version and [API Documentation](https://api.is-even.eu/docs)

## Useful links

- Email client: [Zoho mail](https://mail.zoho.eu/zm/)
- Stripe payments: [Stripe](https://dashboard.stripe.com/dashboard)
- Google analytics: [Analytics](https://analytics.google.com/analytics/web/#/p293916338/reports/reportinghub)
- Sentry reporting: [Sentry](https://sentry.io/organizations/is-even)

## About project

...

## Prerequisites

You need to have `docker` and `docker-compose` installed on your computer to run the local environment.
This project uses `rush.js` as a monorepo manager. Check out official [rush docs](https://rushjs.io/pages/intro/get_started/) to set it up.

Backend application also uses AWS Cognito. It is not necessary to create your own user pool, but you will miss the core features like signup and login.

## Run locally

1. Clone this repository
2. Install dependencies with `rush update`
3. Go into `docker` dir
4. Set environment variables from template `.env` file
5. Run `rushx up` for spinning up the docker environment

Frontend service will start on port `3000` and API service will start on port `4000`.

## Documentation

The [documentation](https://api.is-even.eu/docs) is autogenerated with `Swagger`. When running locally, it is available at `http://localhost:4000/docs`

![Swagger Docs](./docs/swagger.png)

## Stack

Technologies used for this project

**Frontend**:

- React
- Next.js
- XState
- Chakra UI

**Backend**:

- Nest.js
- Typeorm
- Postgresql
- Typescript
- Jest
- AWS Cognito
- Stripe

**Infrastructure**:

- Docker (for local environment)
- AWS CDK

## Missing features

- [ ] ...
